#include<iostream>
#include<conio.h>
using namespace std;
class GreaterMashrotClass
{
	private :
		double g;
		int i;
	public :
		double x;
		GreaterMashrotClass() //constructor
		{
			g = 0;
		}
		void CalculateGreater()
		{
			for(i = 0; i < 30; i++)
			{
				cin >> x;
				if(x >= 0 && x < 12 && x > g) //12 : moaddele Mashruti
					g = x;
			}
		}
		double GetGreater()
		{
			return g;
		}	
};

int main()
{
	GreaterMashrotClass A;
	cout << "Tedade 30 Moadel ra be tartib vared konid : ";
	A.CalculateGreater();
	cout << "Balatarin Moadel Mashroot = " << A.GetGreater() << endl;
	getch();
}

